Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLARTG

    java.lang.Object
      org.netlib.lapack.SLARTG

    public class SLARTG

extends java.lang.Object

    SLARTG is a simplified interface to the JLAPACK routine slartg.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLARTG generate a plane rotation so that
     *
     *     [  CS  SN  ]  .  [ F ]  =  [ R ]   where CS**2 + SN**2 = 1.
     *     [ -SN  CS  ]     [ G ]     [ 0 ]
     *
     *  This is a slower, more accurate version of the BLAS1 routine SROTG,
     *  with the following other differences:
     *     F and G are unchanged on return.
     *     If G=0, then CS=1 and SN=0.
     *     If F=0 and (G .ne. 0), then CS=0 and SN=1 without doing any
     *        floating point operations (saves work in SBDSQR when
     *        there are zeros on the diagonal).
     *
     *  If F exceeds G in magnitude, CS will be positive.
     *
     *  Arguments
     *  =========
     *
     *  F       (input) REAL
     *          The first component of vector to be rotated.
     *
     *  G       (input) REAL
     *          The second component of vector to be rotated.
     *
     *  CS      (output) REAL
     *          The cosine of the rotation.
     *
     *  SN      (output) REAL
     *          The sine of the rotation.
     *
     *  R       (output) REAL
     *          The nonzero component of the rotated vector.
     *
     *  This version has a few statements commented out for thread safety
     *  (machine parameters are computed on each entry). 10 feb 03, SJH.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLARTG()`

Method Summary
`static void` | `SLARTG(float f, float g, floatW cs, floatW sn, floatW r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLARTG

    public SLARTG()

Method Detail

### SLARTG

    public static void SLARTG(float f,
                              float g,
                              floatW cs,
                              floatW sn,
                              floatW r)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD